<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>

    <ion-title>ShelfPH.com</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div class="login-logo">
    <img src="assets/img/appicon.svg" alt="ShelfPH.com logo" />
  </div>

  <form #loginForm="ngForm" novalidate (keydown.enter)="onLogin(loginForm)">
    <ion-list>
      <ion-item>
        <ion-label position="fixed" color="primary">Email</ion-label>
        <ion-input
          [(ngModel)]="login.email"
          name="email"
          type="text"
          #email="ngModel"
          spellcheck="false"
          autocapitalize="off"
          required
        >
        </ion-input>
      </ion-item>

      <ion-text color="danger">
        <p
          [hidden]="email.valid || submitted == false"
          class="ion-padding-start"
        >
          Email is required
        </p>
      </ion-text>

      <ion-item>
        <ion-label position="fixed" color="primary">Password</ion-label>
        <ion-icon
          (click)="togglePasswordVisibility()"
          slot="start"
          [name]="passwordIcon"
          slot="end"
        ></ion-icon>
        <ion-input
          [(ngModel)]="login.password"
          name="password"
          [type]="passwordType"
          #password="ngModel"
          required
        >
        </ion-input>
      </ion-item>

      <ion-text color="danger">
        <p
          [hidden]="password.valid || submitted == false"
          class="ion-padding-start"
        >
          Password is required
        </p>
      </ion-text>
    </ion-list>

    <ion-row>
      <ion-col>
        <ion-button (click)="onLogin(loginForm)" type="submit" expand="block"
          >Log in</ion-button
        >
      </ion-col>
      <!-- <ion-col>
        <ion-button (click)="onSignup()" color="light" expand="block">Signup</ion-button>
      </ion-col> -->
    </ion-row>
  </form>
</ion-content>
